using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Globalization;

namespace CheckSheet
{
    public partial class RegisterMachine : System.Web.UI.Page
    {

        [System.Web.Services.WebMethod]
        public static string save(string parahd)
        {
            string cmdhd = string.Empty;
            string equid = string.Empty;
            string userapprove = string.Empty;
            using (FcSql.Function fc = new FcSql.Function())
            {
                byte[] datahd = System.Convert.FromBase64String(parahd);
                string base64Decoded = System.Text.ASCIIEncoding.UTF8.GetString(datahd);
                string[] strmt = base64Decoded.Split('|');
                try
                {
                   

                    string linegroup = strmt[0].ToString();
                    string linename = strmt[1].ToString();
                    string partnumber = strmt[2].ToString();
                    string machinename = strmt[3].ToString();
                    string machineno = strmt[4].ToString();
                    string userid = strmt[5].ToString();
                    string piz = strmt[6].ToString();

                    

                    string crdate = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss", new CultureInfo("en-US"));

                    string inst_mt = string.Format(" insert into MachineMaster (machineid, machinename, flagdel, create_user, create_datetime,machine_piz) VALUES ('" + machineno + "','" + machinename + "',0,'" + userid + "','" + crdate + "','" + piz + "')");
                    string up_mt = string.Format(" update MachineMaster SET machinename= '" + machinename + "',update_user='" + userid + "', update_datetime= '" + crdate + "',machine_piz='" + piz + "' Where machineid= '" + machineno + "' ");

                    cmdhd = fc.ExecSQLStatement(inst_mt.ToString());
                    if (cmdhd.ToLower().IndexOf("duplicate") != -1)
                    {
                        cmdhd = fc.ExecSQLStatement(up_mt.ToString());
                    }

                    string chkid = string.Format("select equid,linegroupid,partnumber from EquipmentList Where machineid='{0}' and linegroupid='{1}' and partnumber='{2}' ", machineno,linegroup,partnumber);
                    DataTable dtchkid = fc.SQL_DataTable(chkid.ToString());
                    if (dtchkid.Rows.Count > 0)
                    {
                        equid = dtchkid.Rows[0]["equid"].ToString();

                    }




                    if (equid.Length == 0)
                    {

                        string _pv = string.Empty;
                        string _id = string.Empty;
                        string _q = string.Format(" select max(convert(real,equid)) as id from EquipmentList ");
                        DataTable dtgenid = fc.SQL_DataTable(_q.ToString());
                        if (dtgenid.Rows.Count == 0)
                        {
                            _id = "1";
                        }
                        else
                        {
                            foreach (DataRow dr in dtgenid.Rows)
                            {
                                if (dr[0].ToString() == "")
                                {
                                    _id = "1";
                                }
                                else
                                {
                                    _id = (int.Parse(dr[0].ToString()) + 1).ToString();
                                }
                            }
                        }

                        equid = _id;


                    }




                    inst_mt = string.Format(" insert into EquipmentList (equid, partnumber, linegroupid, machineid, flagdel, create_user, create_datetime) VALUES ('" + equid + "','" + partnumber + "','" + linegroup + "','" + machineno + "',0,'" + userid + "','" + crdate + "')");
                    up_mt = string.Format(" update EquipmentList SET partnumber='" + partnumber + "', linegroupid= '" + linegroup + "', machineid= '" + machineno + "',Update_user= '" + userid + "',Update_Datetime= '" + crdate + "' Where equid= '" + equid + "' ");

                    cmdhd = fc.ExecSQLStatement(inst_mt.ToString());
                    if (cmdhd.ToLower().IndexOf("duplicate") != -1)
                    {
                        cmdhd = fc.ExecSQLStatement(up_mt.ToString());
                    }
                    fc.closeconnection();


                }
                catch { };

            }

        

            return cmdhd;


        }


        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void btnback_Click(object sender, EventArgs e)
        {
            Response.Redirect("Menusetting");
        }
    }
}